<?php
/* Mantenimiento de los registros de la tabla PR_ListaItem redefinidos por el usaurio */
class PR_ListaItemDP extends BasePR_ListaItemDP
{
    public function recuperarId()
    {
        $s_Sql = "SELECT IF( MAX( IdPrListaItem ) IS NULL, 1, MAX( IdPrListaItem ) + 1 ) i_Id FROM PR_ListaItem;";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        return $o_ResultSet->getInt( 'i_Id' );
    }
}
?>